API Reference
List all batches
GET
/batchesPagination
By default a request will return 10 records at a time, however this can be updated to 50 per request by specifying the
limitquery parameter.
Query Parameters
limitinteger (int32)(optional)· Defaults to 10The number of records to return per request (page) - the maximum per request is 50.
offsetinteger (int32)(optional)· Defaults to 1The pagination offset. For example, offset=10, limit=10 will return records 100 to 110
Request
curl
curl -u TEST:TEST https://gateway.pmnts-sandbox.io/v1.0/batches?limit=2Response
200cURL
json
{
"total_records" : 2128,
"page" : 1,
"errors" : [],
"successful" : true,
"test" : true,
"records" : 2,
"response" : [
{
"completed_date" : null,
"created_at" : "2018-01-30T01:58:52+11:00",
"id" : "071-BF-PGGSPBF1",
"start_date" : null,
"type" : "PURCHASE",
"status" : "Error",
"filename" : "BATCH-v1-PURCHASE-TEST-20180101-test4.csv",
"process_date" : "2018-01-01",
"reference" : "test4"
},
{
"start_date" : "2017-07-12",
"id" : "071-BF-68TU3VJM",
"completed_date" : "2017-07-12",
"created_at" : "2017-07-12T15:49:49+10:00",
"reference" : "123456789012348",
"process_date" : "2017-07-12",
"filename" : "BATCH-v1-PURCHASE-20170712-123456789012348.csv",
"status" : "Completed",
"type" : "PURCHASE"
}
],
"total_pages" : 1024
}200Ruby
json
{
"id": "071-BF-68TU3VJM",
"filename": "BATCH-v1-PURCHASE-20170712-123456789012348.csv",
"created_at": "2017-07-12T15:49:49+10:00",
"process_date": "2017-07-12",
"start_date": "2017-07-12",
"completed_date": "2017-07-12",
"status": "Completed",
"type": "PURCHASE",
"reference": "123456789012348"
}